<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ref="http://www.xbrl.org/2006/ref"
                xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
                xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                xmlns:emsup.02.08="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
               xmlns:tns="http://sbr.gov.au/comn/event.02.data"
               xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
               xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="yes"/>
   <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              name="full-event">false</xsl:param>
   <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              name="document-sequence-number">1</xsl:param>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                    xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                    xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                    xmlns:isns="http://www.ato.gov.au/IS/2009/02"
                    name="results">
         <xsl:apply-templates select="/" mode="M21"/>
         <xsl:apply-templates select="/" mode="M27"/>
      </xsl:variable>
      <xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              test="$results">
         <xsl:choose>
            <xsl:when test="$full-event='true'">
               <sbdm:MessageEvent>
                  <sbdm:Message.Event.MaximumSeverity.Code>
                     <xsl:choose>
                        <xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when>
                        <xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when>
                        <xsl:otherwise>Information</xsl:otherwise>
                     </xsl:choose>
                  </sbdm:Message.Event.MaximumSeverity.Code>
                  <sbdm:MessageEventItems>
                     <xsl:copy-of select="$results"/>
                  </sbdm:MessageEventItems>
               </sbdm:MessageEvent>
            </xsl:when>
            <xsl:otherwise>
               <sbdm:MessageEventItems>
                  <xsl:copy-of select="$results"/>
               </sbdm:MessageEventItems>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:if>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]"
                 priority="1005"
                 mode="M21">
      <xsl:variable name="currentContextId" select="@id"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                                                  $currentContextId = $SFMABN.ContextId and                          number(../pyde.02.12:PersonDemographicDetails.Birth.Year[@contextRef=$currentContextId and not(@i:nil='true' or @i:nil='1')])                         &gt;                         number(substring(../xbrli:context[@id = $INT.ContextId]/xbrli:period/xbrli:startDate,1,4))                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000014</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Individual's year of birth must be equal to or less than the year of the request submission date</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000014</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                                                ../pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                         and                         not(../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000016</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Given name must be entered if Other given name is entered</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000016</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000034</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Individual's given name is required</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000034</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.Line1.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000035</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Address Line 1 is required if TFN is not provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000035</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000036</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Suburb/Town/City is required if TFN is not provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000036</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and (                                 not(../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                               or                               ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']                             )                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000037</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Postcode must be present for Australian address if TFN is not provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000037</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and (                                 not(../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                               or                               ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']                             )                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000038</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>State must be present for Australian address if TFN is not provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000038</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="SprFndUSI"
                    select="../emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/text()"/>
      <xsl:variable name="RPABN"
                    select="$RP.Context/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn' and string-length(normalize-space(.)) != 0]/text()"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and $SprFndUSI                         and not(                                 (                                                                              (                                     string-length(normalize-space($SprFndUSI)) = 14                                      or                                     string-length(normalize-space($SprFndUSI)) = 9                                     )                                                                   )                                 and(                                 (                                                    (                                     string-length(normalize-space($SprFndUSI)) = 14                                     and                                      (                                         (matches(substring($SprFndUSI,1,11),$RPABN))                                          and                                          (matches(substring($SprFndUSI,12,3),'^[0-9]{3}$'))                                       )                                 )                                 or                                 (                                     string-length(normalize-space($SprFndUSI)) = 9                                     and                                      (                                     (matches(substring($SprFndUSI,1,3),'^[a-zA-Z]{3}$'))                                     and(matches(substring($SprFndUSI,4,4),'^[0-9]{4}$'))                                     and(matches(substring($SprFndUSI,8,2),'^[a-zA-Z]{2}$'))                                      )                                 )                                 )                             )                                                                  )                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000039</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>A valid Unique Superannuation Identifier (USI) is either fund's ABN + 3 digits, or a SPIN</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000039</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000040</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Full date of birth is required if TFN is not provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000040</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                         not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                         and                         not(../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000040</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Full date of birth is required if TFN is not provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If member's Tax File Number is omitted then full name, date of birth and complete residential address details are required</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000041</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="CurrentSFMABNID"
                    select="./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text()"/>
      <xsl:variable name="SFMIContext"
                    select="$SFMI.Context[./xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text() = $CurrentSFMABNID] "/>
      <xsl:variable name="CurentRefSFMIContextId" select="$SFMIContext/@id"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           . = $SFMABN.Context                            and                                                      ../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))='VALNEWMEM']                             and (                                 not ( ../pyid.02.03:Identifiers.SuperannuationMemberAccount.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0  ] )                                 or not( ../emsup.02.03:SuperannuationFundDetails.AccountOpen.Date[@contextRef = $CurentRefSFMIContextId and not(@i:nil='true' or @i:nil='1')])                                  or not(../emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                                )                                        ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000041</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Account number, product USI and account opened date must be provided for new member account</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If the request message action required value is "VALNEWMEM" (i.e. to validate identity and notify of new member account), the Individual's reporting party account number, Unique Superannuation Identier (USI) for Individual's superannuation product and the Individual's account opened date must be provided.</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000021</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                           . = $SFMABN.Context                            and                                                      ../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))='VALIDENT']                             and (                                 ../pyid.02.03:Identifiers.SuperannuationMemberAccount.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0  ]                                 or  ../emsup.02.03:SuperannuationFundDetails.AccountOpen.Date[@contextRef = $CurentRefSFMIContextId and not(@i:nil='true' or @i:nil='1')]                                 or  ../emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                                )                                    )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000042</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Account number, product USI or account opened date must not be provided if validating identity only</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>If the request message action required value is "VALIDENT" (i.e. to validate identity only), the Individual's reporting party account number, Unique Superannuation Identifier (USI) and the Individual's account opened date must not be provided.</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000022</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M21"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]"
                 priority="1004"
                 mode="M21">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                         @contextRef = $SFMABN.ContextId                         and                         ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']/@contextRef=./@contextRef                         and                         not(matches(., '^(ACT|NSW|NT|QLD|SA|VIC|WA|TAS)$','i'))                       )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000019</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>For an Australian address, state or territory must be one of: ACT, NSW, NT, QLD, SA, VIC, WA, TAS</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000019</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M21"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1003"
                 mode="M21">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                         @contextRef = $SFMABN.ContextId                         and                         ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']/@contextRef=./@contextRef                         and                         matches(., '^(.*)[0-9](.*)$')                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000018</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Suburb/Town/City cannot contain numeric characters</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000018</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M21"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1002"
                 mode="M21">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                         @contextRef = $SFMABN.ContextId                         and                         contains(upper-case(.), 'C/-')                         and                         not(../pyde.02.00:AddressDetails.Line2.Text[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/@contextRef=./@contextRef)                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000017</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Address Line 2 must be present if Address Line 1 contains 'C/-'</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000017</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M21"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.12:PersonDemographicDetails.Birth.Year[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M21">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         @contextRef = $SFMABN.ContextId                         and                          number(.) &lt; 1900                       )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000033</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>The Individual's year of birth must not be earlier than 1900</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000033</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="currentContextRef" select=" @contextRef"/>
      <xsl:variable name="currentBirthDayOfMonth"
                    select=" ../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $currentContextRef]"/>
      <xsl:variable name="currentBirthMonth"
                    select="../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef =  $currentContextRef]"/>
      <xsl:variable name="currentBirthYear" select="./text()"/>
      <xsl:variable name="currentBirthDate"
                    select="concat($currentBirthYear,                                                    '-',                                                     substring-after($currentBirthMonth, '--'),                                                    '-',                                                    substring-after($currentBirthDayOfMonth, '---'))"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                         @contextRef = $SFMABN.ContextId                         and                                                ../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/@contextRef=./@contextRef                         and                         ../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/@contextRef=./@contextRef                         and                         not(matches($currentBirthDate,'^\d{4}-\d{2}-\d{2}$') and string($currentBirthDate) castable as xs:date)                      ) "/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000030</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>All Individual's date of birth fields must form a valid date</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000030</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M21"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.14:Interaction.Reason.Text[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M21">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         @contextRef = $SFMABN.ContextId                         and                         not(upper-case(.)='VALIDENT' or upper-case(.)='VALNEWMEM')                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000032</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Invalid value provided. Request message action required value must be "VALIDENT" or "VALNEWMEM"</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Message.Event.Item.Detailed.Description>Request message action required value must be "VALIDENT" (to validate identity only), or "VALNEWMEM" (to validate identity and notify of new member account).</sbdm:Message.Event.Item.Detailed.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000032</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M21"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M21"/>
   <xsl:template match="@*|node()" priority="-2" mode="M21">
      <xsl:apply-templates select="*" mode="M21"/>
   </xsl:template>

   <!--
                PATTERN VariablesXBRL variables that are applicable accross all of the STIC services.-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="RP.Identifier.ABN"
                 select="$RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()"/>
   <xsl:variable name="INT.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/>
   <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
   <xsl:variable name="INT.Identifier.ABN"
                 select="$INT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()"/>
   <xsl:variable name="INT.Startdate"
                 select="string($INT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')])"/>
   <xsl:variable name="SFMABN.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                      and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                     and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1                             and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]                                ) = 1                 ]             ]"/>
   <xsl:variable name="SFMABN.ContextId" select="$SFMABN.Context/@id"/>
   <xsl:variable name="SFMABN.Identifier"
                 select="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text()"/>
   <xsl:variable name="SFMABN.Identifier.ABN"
                 select="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:typedMember[@dimension ='ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()"/>
   <xsl:variable name="SFMI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')]                                         and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1                             and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]                                ) = 1                 ]             ]"/>
   <xsl:variable name="SFMI.ContextId" select="$SFMI.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M27"/>
   <xsl:template match="@*|node()" priority="-2" mode="M27">
      <xsl:apply-templates select="*" mode="M27"/>
   </xsl:template>
</xsl:stylesheet>
