<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ref="http://www.xbrl.org/2006/ref"
                xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
                xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                xmlns:emsup.02.08="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
               xmlns:tns="http://sbr.gov.au/comn/event.02.data"
               xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
               xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="yes"/>
   <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              name="full-event">false</xsl:param>
   <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              name="document-sequence-number">1</xsl:param>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                    xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                    xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                    xmlns:isns="http://www.ato.gov.au/IS/2009/02"
                    name="results">
         <xsl:apply-templates select="/" mode="M26"/>
         <xsl:apply-templates select="/" mode="M27"/>
      </xsl:variable>
      <xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              test="$results">
         <xsl:choose>
            <xsl:when test="$full-event='true'">
               <sbdm:MessageEvent>
                  <sbdm:Message.Event.MaximumSeverity.Code>
                     <xsl:choose>
                        <xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when>
                        <xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when>
                        <xsl:otherwise>Information</xsl:otherwise>
                     </xsl:choose>
                  </sbdm:Message.Event.MaximumSeverity.Code>
                  <sbdm:MessageEventItems>
                     <xsl:copy-of select="$results"/>
                  </sbdm:MessageEventItems>
               </sbdm:MessageEvent>
            </xsl:when>
            <xsl:otherwise>
               <sbdm:MessageEventItems>
                  <xsl:copy-of select="$results"/>
               </sbdm:MessageEventItems>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:if>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]"
                 priority="1001"
                 mode="M26">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000006</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Business name of Intermediary (sender) must be provided.</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000006</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M26"/>
   </xsl:template>

	  <!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M26">
      <xsl:variable name="currentContextId" select="@id"/>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $RP.Context                         and                                                not(../pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000007</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Business name of Reporting Party (requesting provider) must be provided.</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000007</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                         and                                                not(../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')])                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000008</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Request message action required must be provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000008</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                          and                                                not(../pyde.02.12:PersonDemographicDetails.Birth.Year[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')])                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000013</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Individual's year of birth must be provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000013</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>

		    <!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         . = $SFMABN.Context                          and                                                not(../pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.000015</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Individual's family name must be provided</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.000015</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M26"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M26"/>
   <xsl:template match="@*|node()" priority="-2" mode="M26">
      <xsl:apply-templates select="*" mode="M26"/>
   </xsl:template>

   <!--
                PATTERN VariablesXBRL variables that are applicable accross all of the STIC services.-->
<xsl:variable name="RP.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/>
   <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
   <xsl:variable name="RP.Identifier.ABN"
                 select="$RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()"/>
   <xsl:variable name="INT.Context"
                 select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]             ]"/>
   <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
   <xsl:variable name="INT.Identifier.ABN"
                 select="$INT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()"/>
   <xsl:variable name="INT.Startdate"
                 select="string($INT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')])"/>
   <xsl:variable name="SFMABN.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                      and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                     and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1                             and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]                                ) = 1                 ]             ]"/>
   <xsl:variable name="SFMABN.ContextId" select="$SFMABN.Context/@id"/>
   <xsl:variable name="SFMABN.Identifier"
                 select="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text()"/>
   <xsl:variable name="SFMABN.Identifier.ABN"
                 select="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:typedMember[@dimension ='ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()"/>
   <xsl:variable name="SFMI.Context"
                 select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')]                                         and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1                             and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]                                ) = 1                 ]             ]"/>
   <xsl:variable name="SFMI.ContextId" select="$SFMI.Context/@id"/>
   <xsl:template match="text()" priority="-1" mode="M27"/>
   <xsl:template match="@*|node()" priority="-2" mode="M27">
      <xsl:apply-templates select="*" mode="M27"/>
   </xsl:template>
</xsl:stylesheet>
