<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:i="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:exslt="http://gotdotnet.com/exslt/strings"
                xmlns:xbrli="http://www.xbrl.org/2003/instance"
                xmlns:xbrldi="http://xbrl.org/2006/xbrldi"
                xmlns:link="http://www.xbrl.org/2003/linkbase"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ref="http://www.xbrl.org/2006/ref"
                xmlns:iso4217="http://www.xbrl.org/2003/iso4217"
                xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
                xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech"
                xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data"
                xmlns:function="http://ato.gov.au/SWSFunctions"
                xmlns:fn="http://www.w3.org/2005/xpath-functions"
                xmlns:emsup.02.08="http://sbr.gov.au/icls/em/emsup/emsup.02.08.data"
                version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->
<xsl:import href="ATO_SWS_Functions.xsl"/>
   <xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
               xmlns:tns="http://sbr.gov.au/comn/event.02.data"
               xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
               xmlns:isns="http://www.ato.gov.au/IS/2009/02"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="yes"/>
   <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              name="full-event">false</xsl:param>
   <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              name="document-sequence-number">1</xsl:param>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                    xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                    xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                    xmlns:isns="http://www.ato.gov.au/IS/2009/02"
                    name="results">
         <xsl:apply-templates select="/" mode="M23"/>
      </xsl:variable>
      <xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
              xmlns:tns="http://sbr.gov.au/comn/event.02.data"
              xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
              xmlns:isns="http://www.ato.gov.au/IS/2009/02"
              test="$results">
         <xsl:choose>
            <xsl:when test="$full-event='true'">
               <sbdm:MessageEvent>
                  <sbdm:Message.Event.MaximumSeverity.Code>
                     <xsl:choose>
                        <xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when>
                        <xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when>
                        <xsl:otherwise>Information</xsl:otherwise>
                     </xsl:choose>
                  </sbdm:Message.Event.MaximumSeverity.Code>
                  <sbdm:MessageEventItems>
                     <xsl:copy-of select="$results"/>
                  </sbdm:MessageEventItems>
               </sbdm:MessageEvent>
            </xsl:when>
            <xsl:otherwise>
               <sbdm:MessageEventItems>
                  <xsl:copy-of select="$results"/>
               </sbdm:MessageEventItems>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:if>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--
                PATTERN WarningsValidations for warnings that are applicable accross all STIC services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]"
                 priority="1000"
                 mode="M23">

		<!--
            ASSERT -->
<xsl:choose>
         <xsl:when test="not(                         string-length(normalize-space(.)) != 0                         and                                         @contextRef = $SFMABN.ContextId                         and                                     not(function:ValidateTFN(.))                      )"/>
         <xsl:otherwise> 
            <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data"
                                   xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                   xmlns:tns="http://sbr.gov.au/comn/event.02.data"
                                   xmlns:isns="http://www.ato.gov.au/IS/2009/02">
               <sbdm:Message.Event.Item.Error.Code>CMN.ATO.STIC.W00001</sbdm:Message.Event.Item.Error.Code>
               <sbdm:Message.Event.Item.Severity.Code>Warning</sbdm:Message.Event.Item.Severity.Code>
               <sbdm:Message.Event.Item.Short.Description>Tax File Number has failed the algorithm check</sbdm:Message.Event.Item.Short.Description>
               <sbdm:Parameters>
                  <sbdm:Parameter>
                     <sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier>
                     <sbdm:Message.Event.Item.Parameter.Text>VR.ATO.STIC.W00001</sbdm:Message.Event.Item.Parameter.Text>
                  </sbdm:Parameter>
               </sbdm:Parameters>
               <sbdm:Locations>
                  <sbdm:Location>
                     <sbdm:BusinessDocument.Sequence.Number>
                        <xsl:value-of select="$document-sequence-number"/>
                     </sbdm:BusinessDocument.Sequence.Number>
                     <sbdm:Message.Event.Item.Location.Path.Text>
                        <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                     </sbdm:Message.Event.Item.Location.Path.Text>
                  </sbdm:Location>
               </sbdm:Locations>
            </sbdm:MessageEventItem>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M23"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M23"/>
   <xsl:template match="@*|node()" priority="-2" mode="M23">
      <xsl:apply-templates select="*" mode="M23"/>
   </xsl:template>
</xsl:stylesheet>
